## sqlite-modern-cpp 3.2+git20231203

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
option(ENABLE_SQLCIPHER_TESTS "enable sqlchipher test")

# Creates the file compile_commands.json in the build directory.
set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake")
set(HUNTER_TLS_VERIFY ON)
include("cmake/HunterGate.cmake")
include("cmake/Catch.cmake")

HunterGate(
    URL "https://github.com/cpp-pm/hunter/archive/v0.24.15.tar.gz"
    SHA1 "8010d63d5ae611c564889d5fe12d3cb7a45703ac"
)

project(SqliteModernCpp)

hunter_add_package(Catch)
hunter_add_package(sqlite3)

find_package(Catch2 CONFIG REQUIRED)
find_package(sqlite3 CONFIG REQUIRED)

set(TEST_SOURCE_DIR             ${CMAKE_CURRENT_SOURCE_DIR}/tests)
file(GLOB TEST_SOURCES          ${TEST_SOURCE_DIR}/*.cc)

IF(NOT ENABLE_SQLCIPHER_TESTS)
    list(REMOVE_ITEM TEST_SOURCES ${TEST_SOURCE_DIR}/sqlcipher.cc)
ENDIF(NOT ENABLE_SQLCIPHER_TESTS)

enable_testing()

add_library (sqlite_modern_cpp INTERFACE)
target_include_directories(sqlite_modern_cpp INTERFACE hdr/)

add_executable(tests_runner ${TEST_SOURCES})
target_include_directories(tests_runner INTERFACE ${SQLITE3_INCLUDE_DIRS})
if(ENABLE_SQLCIPHER_TESTS)
    target_link_libraries(tests_runner Catch2::Catch2 sqlite_modern_cpp sqlite3::sqlite3 -lsqlcipher)
else()
    target_link_libraries(tests_runner Catch2::Catch2 sqlite_modern_cpp sqlite3::sqlite3)
endif()

catch_discover_tests(tests_runner)
target_compile_options(tests_runner PUBLIC $<$<CXX_COMPILER_ID:MSVC>:/Zc:__cplusplus> )

# Place the file in the source directory, permitting us to place a single configuration file for YCM there.
# YCM is the code-completion engine for (neo)vim https://github.com/Valloric/YouCompleteMe
IF(EXISTS "${CMAKE_BINARY_DIR}/compile_commands.json")
  EXECUTE_PROCESS( COMMAND ${CMAKE_COMMAND} -E copy_if_different
    ${CMAKE_BINARY_DIR}/compile_commands.json
    ${CMAKE_SOURCE_DIR}/compile_commands.json
  )
ENDIF()

=== debian/changelog ===
sqlite-modern-cpp (3.2+git20231203-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Tue, 11 Feb 2025 12:08:30 -0500

sqlite-modern-cpp (3.2+git20231203-3) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093575)

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 19:39:16 -0500

sqlite-modern-cpp (3.2+git20231203-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.
  * debian/: Drop all patches around catch2 v3 support.

 -- Boyuan Yang <byang@debian.org>  Sat, 20 Jul 2024 10:39:23 -0400

sqlite-modern-cpp (3.2+git20231203-2) unstable; urgency=medium

  * Source-only upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Jul 2024 16:05:58 -0400

sqlite-modern-cpp (3.2+git20231203-1) unstable; urgency=medium

  * Initial release. (Closes: #1073867)

 -- Boyuan Yang <byang@debian.org>  Wed, 19 Jun 2024 23:03:46 -0400

=== debian/control ===
Source: sqlite-modern-cpp
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 cmake (>= 3.23.1),
 libsqlite3-dev,
 catch2 (>= 2.0),
 catch2 (<< 3),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/SqliteModernCpp/sqlite_modern_cpp
Vcs-Git: https://salsa.debian.org/debian/sqlite-modern-cpp.git
Vcs-Browser: https://salsa.debian.org/debian/sqlite-modern-cpp
Description: Modern sqlite cpp wrapper
 This library is a lightweight modern C++ wrapper around sqlite C API.

Package: sqlite-modern-cpp-dev
Section: libdevel
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Description: ${source:Synopsis} - development files
 ${source:Extended-Description}
 .
 This package provides the header-only library for sqlite-modern-cpp.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/SqliteModernCpp/sqlite_modern_cpp/tags?per_page=100 \
 https://api.github.com/repos/SqliteModernCpp/sqlite_modern_cpp/tarball/refs/tags/@ANY_VERSION@
